#ifndef COMPILING_REAL_PIC
# include <stdio.h>
#endif

/* For the CONFIG statement: */

#define USED __attribute__((used))
/*
#define __sfr    static void DummyConfigSetter(void) USED; \
                 static void DummyConfigSetter(void) {
#define __at(x)  static int USED p = x; } static const int
#define CONFIG_WORD 0
#define __interrupt(x) */

#ifdef COMPILING_REAL_PIC

/*typedef unsigned char  uint8_t;
typedef unsigned short uint16_t;
typedef unsigned long  uint32_t;
typedef signed char  int8_t;
typedef signed short int16_t;
typedef signed long  int32_t;*/

#define TRISA      (*(unsigned char*) (unsigned char)0x85)
#define TRISB      (*(unsigned char*) (unsigned char)0x86)
#define OPTION_REG (*(unsigned char*) (unsigned char)0x81)
#define INTCON     (*(unsigned char*) (unsigned char)0x0B)
#define CMCON      (*(unsigned char*) (unsigned char)0x1F)
#define PCON       (*(unsigned char*) (unsigned char)0x8E)
#define PR2        (*(unsigned char*) (unsigned char)0x92)
#define T2CON      (*(unsigned char*) (unsigned char)0x12)

#define CCP1CON    (*(unsigned char*) (unsigned char)0x17)
#define CCPR1L     (*(unsigned char*) (unsigned char)0x15)

#define PORTA      (*(unsigned char*) (unsigned char)0x05)
#define TMR0       (*(unsigned char*) (unsigned char)0x01)

#else

static unsigned char USED T0IF,TRISA,TRISB,CMCON,T0CS,PSA,PS2,PS1,PS0,INTCON,GIE,T0IE,TMR0;
static unsigned char USED OPTION_REG,PORTA,T1CON,TMR1L,TMR1H,TMR1,CCPR1L,PR2,T2CON,PCON;

#endif

